<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.kaohe.mapper.KhUidRecardMapper">
    
    <resultMap type="KhUidRecard" id="KhUidRecardResult">
        <result property="id"    column="id"    />
        <result property="uid"    column="uid"    />
        <result property="uName"    column="u_name"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectKhUidRecardVo">
        select id, uid, u_name, create_by, create_time, update_by, update_time, remark from kh_uid_recard
    </sql>

    <select id="selectKhUidRecardList" parameterType="KhUidRecard" resultMap="KhUidRecardResult">
        <include refid="selectKhUidRecardVo"/>
        <where>  
            <if test="uid != null  and uid != ''"> and uid = #{uid}</if>
            <if test="uName != null  and uName != ''"> and u_name like concat('%', #{uName}, '%')</if>
        </where>
    </select>
    
    <select id="selectKhUidRecardById" parameterType="Long" resultMap="KhUidRecardResult">
        <include refid="selectKhUidRecardVo"/>
        where id = #{id}
    </select>

    <insert id="insertKhUidRecard" parameterType="KhUidRecard" useGeneratedKeys="true" keyProperty="id">
        insert into kh_uid_recard
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="uid != null">uid,</if>
            <if test="uName != null">u_name,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="uid != null">#{uid},</if>
            <if test="uName != null">#{uName},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateKhUidRecard" parameterType="KhUidRecard">
        update kh_uid_recard
        <trim prefix="SET" suffixOverrides=",">
            <if test="uid != null">uid = #{uid},</if>
            <if test="uName != null">u_name = #{uName},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteKhUidRecardById" parameterType="Long">
        delete from kh_uid_recard where id = #{id}
    </delete>

    <delete id="deleteKhUidRecardByIds" parameterType="String">
        delete from kh_uid_recard where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>